## Index

### Classes

- BrowserXThemeProvider

### Interfaces

- BrowserXThemeProviderProps

### Functions

- withBrowserXTheme

## Functions

### withBrowserXTheme

- withBrowserXTheme<P>(component: React.ComponentType<P & object>): React.ComponentType<Pick<P, Exclude<keyof P, "theme">>>

- - Defined in BrowserXThemeProvider.tsx:31

  Returns a component with an already passed `theme` with current BrowserXTheme.

  #### Type parameters

  - #### P

  #### Parameters

  - ##### component: React.ComponentType<P & object>

  #### Returns React.ComponentType<Pick<P, Exclude<keyof P, "theme">>>

Generated using TypeDoc